Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.HTMLReader.PreAction

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
            |
            +--javax.swing.text.html.HTMLDocument.HTMLReader.BlockAction
                  |
                  +--javax.swing.text.html.HTMLDocument.HTMLReader.PreAction

Enclosing class:
  HTMLDocument.HTMLReader

public class HTMLDocument.HTMLReader.PreAction
extends HTMLDocument.HTMLReader.BlockAction

Constructor Summary
`HTMLDocument.HTMLReader.PreAction()`

Method Summary
`void` | `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
`void` | `start(HTML.Tag t, MutableAttributeSet attr)` Called when a start tag is seen for the type of tag this action was registered to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLDocument.HTMLReader.PreAction

    public HTMLDocument.HTMLReader.PreAction()

Method Detail

### start

    public void start(HTML.Tag t,
                      MutableAttributeSet attr)

  Description copied from class: `HTMLDocument.HTMLReader.TagAction`
  Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
  Overrides:
    `start` in class `HTMLDocument.HTMLReader.BlockAction`

### end

    public void end(HTML.Tag t)

  Description copied from class: `HTMLDocument.HTMLReader.TagAction`
  Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
  Overrides:
    `end` in class `HTMLDocument.HTMLReader.BlockAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.